Bug 312121 - Bash syntax highlighting is broken in Kate 3.9.95
Summary: Bash syntax highlighting is broken in Kate 3.9.95
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: Git
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-23 16:14 UTC by Kyrylo Bohdanenko
Modified: 2012-12-28 19:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Broken syntax highlighting (142.92 KB, image/png)
2012-12-23 16:15 UTC, Kyrylo Bohdanenko
Details
Root of the issue (144.57 KB, image/png)
2012-12-23 16:17 UTC, Kyrylo Bohdanenko
Details
Difference between bash.xml in 3.9.4 and 3.9.95 kate versions (7.62 KB, patch)
2012-12-23 16:19 UTC, Kyrylo Bohdanenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kyrylo Bohdanenko 2012-12-23 16:14:13 UTC
I'm using Kate 3.9.95 on Kubuntu Raring. There seems to be a problem in Syntax highlighting file for Bash scripts (bash.xml).

See attached screenshots for details.

Reproducible: Always

Steps to Reproduce:
1. Open any shell script with Kate/KWrite/etc
2. Turn on Scripts/bash syntax highlighting (optional)
Actual Results:  
String extrapolation syntax like eval "$(dircolors -b ~/.dircolors)" would be highlighted normally

Expected Results:  
Syntax highlighting bug appears

bash.xml maintainer is Wilbert Berendsen (wilbert@kde.nl)
Comment 1 Kyrylo Bohdanenko 2012-12-23 16:15:17 UTC
Created attachment 75982 [details]
Broken syntax highlighting

Screenshot that illustrates broken highliting
Comment 2 Kyrylo Bohdanenko 2012-12-23 16:17:10 UTC
Created attachment 75983 [details]
Root of the issue

Screenshot that demonstrates probable root of issue.
Comment 3 Kyrylo Bohdanenko 2012-12-23 16:19:39 UTC
Created attachment 75984 [details]
Difference between bash.xml in 3.9.4 and 3.9.95 kate versions

I've noticed that bash.xml was changed between 3.9.4 and 3.9.95 kate releases
Comment 4 Luiz Angelo De Luca 2012-12-28 04:10:39 UTC
Hello Elvenfighter,

This is a known problem (See bug 311233). I have already posted an alternative patch on the bug report to fix this issue and others. However, I guess no commit-allowed developer appiled it. Either the new patch must be verified and committed before 4.10 or the previous patch must be reverted. Sorry, I have no power over it.

Regards,
Comment 5 Dominik Haumann 2012-12-28 10:34:16 UTC
Git commit 5c905a445476032d816e4e1db070c3e52a523bda by Dominik Haumann.
Committed on 28/12/2012 at 12:33.
Pushed by dhaumann into branch 'master'.

fix regression of bash version 2.15

Thanks to Luiz Angelo De Luca for the fix!
Does this also fix 312121 and 312274 ?
Related: bug 311233, bug 312274
FIXED-IN: 4.10

M  +62   -29   part/syntax/data/bash.xml

http://commits.kde.org/kate/5c905a445476032d816e4e1db070c3e52a523bda
Comment 6 Dominik Haumann 2012-12-28 10:34:57 UTC
Git commit b9947e0454dbb3b9d11be5a6ffb8331569d8df31 by Dominik Haumann.
Committed on 28/12/2012 at 12:33.
Pushed by dhaumann into branch 'KDE/4.10'.

fix regression of bash version 2.15

Thanks to Luiz Angelo De Luca for the fix!
Does this also fix 312121 and 312274 ?
Related: bug 311233, bug 312274
FIXED-IN: 4.10

M  +62   -29   part/syntax/data/bash.xml

http://commits.kde.org/kate/b9947e0454dbb3b9d11be5a6ffb8331569d8df31
Comment 7 Kyrylo Bohdanenko 2012-12-28 19:57:40 UTC
I can confirm that reported bug was fixed in bash.xml version 2.16.